#!/bin/sh -e
host="$1"
[ -x ".drone/$host-setup.sh" ] && "./.drone/$host-setup.sh"

if [ "$host" = auth1 ]; then
    exec sleep infinity
else
    python3 -m pip install -r requirements.txt -r dev-requirements.txt
    exec ./.drone/supervise.sh flask run -h 0.0.0.0 -p 9987
fi
